import { 
        scaleOrdinal
       } from 'd3';

const colorScale = scaleOrdinal()
    .domain(['apple','lemon'])
    .range(['#c1111d', 'yellow']);
           
const radiusScale = scaleOrdinal()
    .domain(['apple','lemon'])
    .range([40, 20]); 


export const fruitBowl  = 
      ( selection, props) => {
  const {fruits, height} = props; 
        
  const groups =  selection.selectAll('g').data(fruits);    
  
  const groupsEnter = groups.enter().append('g');
  groupsEnter.merge(groups) 
   .attr('transform', (d,i) => 
      `translate(${ i * 140 + 100}, ${height/2})`
        );   
        
  groups.exit().transition().duration(2000).attr('r', 0).remove();
      
  groupsEnter.append('circle')
   .merge(groups.select('circle'))
   .transition().duration(1000)
   .attr('fill', d => colorScale(d.type))
   .attr('r', d => radiusScale(d.type));
  
 groupsEnter.append('text')
    .merge(groups.select('text'))
    .transition().duration(1000)
    .text(d => d.type)
    .attr('y', 100);
  
}